## wireshark 1.2.7

=== debian/changelog ===
wireshark (1.2.7-1) unstable; urgency=low
  * New upstream release 1.2.7
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.7.html
  * fix purging wireshark-common when removing wireshark system group fails
  * fix crash when opening About box with disabled OID resolution
    (Closes: #574086)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 01 Apr 2010 11:11:37 +0100

wireshark (1.2.6-5) unstable; urgency=low

  * disable OID resolution in default configuration (Closes: #568050)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 02 Mar 2010 19:38:07 +0100

wireshark (1.2.6-4) unstable; urgency=low

  * fix spelling of 'privileges' in README.Debian (Closes: #571258)
  * prevent crash in libsmi (Closes: #567799)
  * describe problem with MIBs in README.Debian

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 17 Feb 2010 15:36:53 +0100

wireshark (1.2.6-3) unstable; urgency=low

  * falling back to setting set-user-id bit if using Linux Capabilities fails
    (Closes: #570193)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 17 Feb 2010 11:29:56 +0100

wireshark (1.2.6-2) unstable; urgency=low

  * build-depend on new libcap-dev instead of libcap2-dev if libcap2 is not
    available (Closes: #568083)
  * update standards-version to 3.8.4
  * drop dpatch patch system
  * use Linux Capabilities for allowing dumpcap to capture packets instead of
    set-user-id bit where possible

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 02 Feb 2010 16:34:59 +0100

wireshark (1.2.6-1) unstable; urgency=high

  * New upstream release 1.2.6
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.6.html
    - security fixes
       - Babi discovered several buffer overflows in the LWRES dissector.
         (No assigned CVE number.)
    (Closes: #565744)
  * [Debconf translation updates]
    - Brazilian Portuguese (Rafael Henrique da Silva Correia).
      (Closes: #565306)
  * remove dependency on libsnmp-base
  * suggest snmp-mibs-downloader instead of libsmi2-common

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 15 Jan 2010 21:51:34 +0100

wireshark (1.2.5-1) unstable; urgency=high

  * New upstream release 1.2.5
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.5.html
    - security fixes
       - The Daintree SNA file parser could overflow a buffer. 
         (No assigned CVE number.)
       - The SMB and SMB2 dissectors could crash. (No assigned CVE number.)
       - The IPMI dissector could crash on Windows. (No assigned CVE number.)
  * fix FTBS because of missing idl2deb.dbk (Closes: #560553)
  * suggest solutions on missing MIBs popup (Closes: #560727)
  * restrict watch check to stable versions
  * change source package format to 3.0 (quilt)
  * new maintainer is Balint Reczey

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 11 Dec 2009 16:29:01 +0100

wireshark (1.2.4-3) unstable; urgency=low

  * depend on libsnmp-base instead of libsmi2-common (Closes: #557626)
  * libsmi2-common is just suggested by wireshark-common from now
  * build-depend on python-ply

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 23 Nov 2009 10:38:21 +0100

wireshark (1.2.4-2) unstable; urgency=low

  [ Jakub Wilk ]
  * import lex from ply in asn2wrs (Closes: #554613)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 19 Nov 2009 23:29:24 +0100

wireshark (1.2.4-1) unstable; urgency=low

  * New upstream release 1.2.4
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.4.html
  [ Jakub Wilk ]
  * make wireshark-dev depend on python-ply to fix asn2wrs (Closes: #554613)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 17 Nov 2009 15:11:10 +0100

wireshark (1.2.3-1) unstable; urgency=high

  * New upstream release 1.2.3
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.3.html
    - security fixes
       - The Paltalk dissector could crash on alignment-sensitive processors.
         (CVE-2009-3549)
       - The DCERPC/NT dissector could crash. (CVE-2009-3550)
       - The SMB dissector could crash. (CVE-2009-3551)
    (Closes: #553583)
  [ Eloy Paris ]
  * added missing libraries and header files to wireshark-dev (Closes: #552025)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 28 Oct 2009 14:35:20 +0100

wireshark (1.2.2-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #547130
  * [Debconf translation updates]
    - German (Helge Kreutzmann).  Closes: #547229
    - Basque (Piarres Beobide).  Closes: #547268
    - Portuguese (Pedro Ribeiro).  Closes: #547381
    - Swedish (Martin Ågren).  Closes: #547383
    - Vietnamese (Clytie Siddall).  Closes: #547800
    - French (Simon Paillard).  Closes: #548340
    - Italian (Luca Monducci).  Closes: #548605
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #548655
    - Spanish (Francisco Javier Cuadrado).  Closes: #548700
    - Czech (Martin Sin).  Closes: #548728
    - Russian (Yuri Kozlov).  Closes: #549086
    - Finnish (Esko Arajärvi).  Closes: #549609

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Sep 2009 14:06:52 +0200

wireshark (1.2.2-1) unstable; urgency=high

  * New upstream release 1.2.2
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.2.html
    - security fixes
       - The GSM A RR dissector could crash. (CVE-2009-3242)
       - The OpcUa dissector could use excessive CPU and memory. (CVE-2009-3241)
       - The TLS dissector could crash on some platforms.
    (Closes: #547704)
  * dropped sigpipe patch as it has been integrated upstream
  * debian/{control,rules}: add and enable hardened build for PIE
    Thanks to Kees Cook <kees@ubuntu.com> for the patch. (Closes: #542736)
  * update standards-version to 3.8.3
  * applied dumpcap patch that was added to source package in 1.0.7-1 
    but was not applied during build


