## wireshark 1.2.11

=== debian/changelog ===
wireshark (1.2.11-6+squeeze5) stable-security; urgency=high

  * security fixes from Wireshark 1.4.10:
    - Huzaifa Sidhpurwala of Red Hat Security Response Team discovered a
      buffer overflow in the ERF file reader. (CVE-2011-4102)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Nov 2011 22:29:02 +0100

wireshark (1.2.11-6+squeeze4) stable-security; urgency=low

  * Rebuild to bypass dak weirdness

 -- Moritz Muehlenhoff <jmm@pisco>  Sun, 16 Oct 2011 19:27:20 +0000

wireshark (1.2.11-6+squeeze3) stable-security; urgency=low

  * CVE-2011-3360, update by Balint

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 16 Oct 2011 19:04:35 +0000

wireshark (1.2.11-6+squeeze2) stable-security; urgency=high

  * security fixes from Wireshark 1.2.16:
    - The X.509if dissector could crash. (CVE-2011-1590)

  * security fixes from Wireshark 1.2.17 (Closes: #630159):
    - Huzaifa Sidhpurwala of the Red Hat Security Response Team discovered
      that a corrupted Visual Networks file could crash Wireshark.
      (CVE-2011-2175)
    - David Maciejak of Fortinet's FortiGuard Labs discovered that
      malformed compressed capture data could crash Wireshark.
      (CVE-2011-2174)
    - Huzaifa Sidhpurwala of the Red Hat Security Response Team discovered
      that a corrupted snoop file could crash Wireshark.
      (CVE-2011-1959)
    - Huzaifa Sidhpurwala of the Red Hat Security Response Team discovered
      that a corrupted Diameter dictionary file could crash Wireshark.
      (CVE-2011-1958)
    - Large/infinite loop in the DICOM dissector.
      (CVE-2011-1957)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 12 Jun 2011 21:23:05 +0200

wireshark (1.2.11-6+squeeze1) stable-security; urgency=high

  * security fixes from Wireshark 1.2.15:
    - Huzaifa Sidhpurwala of the Red Hat Security Response Team discovered
      that Wireshark could free an uninitialized pointer while reading a
      malformed pcap-ng file. (CVE-2011-0538) (Closes: #613202)
    - Huzaifa Sidhpurwala of the Red Hat Security Response Team discovered
      that a large packet length in a pcap-ng file could crash Wireshark
    - Wireshark could overflow a buffer while reading a Nokia DCT3 trace file. 
      (CVE-2011-0713)
    - joernchen of Phenoelit discovered that the LDAP and SMB dissectors
      could overflow the stack.
    - Xiaopeng Zhang of Fortinet's Fortiguard Labs discovered that large LDAP
      Filter strings can consume excessive amounts of memory.

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 01 Mar 2011 01:17:41 +0100

wireshark (1.2.11-6) unstable; urgency=high

  * security fixes from Wireshark 1.2.14:
    - FRAsse discovered that the MAC-LTE dissector could overflow a buffer.
      (No assigned CVE number.)
    - FRAsse discovered that the ENTTEC dissector could overflow a buffer.
      (CVE-2010-4538) (Closes: #608990)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 13 Jan 2011 01:58:46 +0100

wireshark (1.2.11-5) unstable; urgency=low

  * raise Python 2.6 compatible exceptions (Closes: #585370)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 24 Dec 2010 15:13:09 +0100

wireshark (1.2.11-4) unstable; urgency=high

  * security fixes from Wireshark 1.2.13:
    - Nephi Johnson of BreakingPoint discovered that the LDSS dissector
      could overflow a buffer. (No assigned CVE number.)
  * stability fix from Wireshark 1.2.13:
    - fix crash when running tshark -x without -V (Closes: #600314)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 21 Nov 2010 20:26:36 +0100

wireshark (1.2.11-3) unstable; urgency=high

  * security fixes from Wireshark 1.2.12:
    - The Penetration Test Team of NCNIPC (China) discovered that the
      ASN.1 BER dissector was susceptible to a stack overflow
      (CVE-2010-3445)
    - fix crash in RPC dissector

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 15 Oct 2010 22:46:22 +0200

wireshark (1.2.11-2) unstable; urgency=low

  * 25_fix-libsmi-workaround.patch:
    Fix the libsmi workaround by adding missing brackets.
  * backport fix for IP header checksum calculation regression introduced
    in 1.2.10
  * [Debconf translation updates]
    - Vietnamese (Clytie Siddall). (Closes: #598498)

  [ Daniel T Chen ]
  * 22_lp606063-fix-assertion-capture_start.patch:
    Handle event handler being invoked recursively.  Fix backported from
    upstream SVN r33906.  Thanks, Gregor Beck!
    https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5126
    (LP: #606063)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 30 Sep 2010 15:24:29 +0200

wireshark (1.2.11-1) unstable; urgency=high

  * New upstream release 1.2.10
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.10.html
      (Closes: #597703)
    - security fixes
       - The RTSP dissector could crash. (No assigned CVE number.)
  * [Debconf translation updates]
    - Basque (Iñaki Larrañaga Murgoitio).

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 24 Sep 2010 14:31:19 +0200

wireshark (1.2.10-2) unstable; urgency=low

  * [Debconf translation updates]
    - Japanese (Hideki Yamane (Debian-JP)).  (Closes: #591563)
    - French (Simon Paillard).  (Closes: #593214)
    - Danish (Joe Hansen). (Closes: #594738)
    - Brazilian Portuguese (Adriano Rafael Gomes). (Closes: #594780)
    - Basque (Iñaki Larrañaga Murgoitio).
  * debian/control: updated policy to 3.9.1 (no changes needed)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 04 Aug 2010 13:24:07 +0200

wireshark (1.2.10-1) unstable; urgency=high

  * New upstream release 1.2.10
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.2.10.html
    - security fixes
       - The SigComp Universal Decompressor Virtual Machine could overrun a
         buffer. (CVE-2010-2287)
       - Due to a regression the ASN.1 BER dissector could exhaust stack
         memory. (CVE-2010-2284)
       - The GSM A RR dissector could crash. (No assigned CVE number.)
       - The IPMI dissector could go into an infinite loop.

