=== debian/watch ===
version=3
http://www.wireshark.org/download/src/all-versions/wireshark-([0-9]+\.[0-9]*[24680]\.[0-9]+)\.tar\.gz
