## wireshark 1.4.2

=== debian/changelog ===
wireshark (1.4.2-1) experimental; urgency=low

  * New upstream release 1.4.2
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.2.html
    - security fixes
       - Nephi Johnson of BreakingPoint discovered that the LDSS dissector
         could overflow a buffer. (No assigned CVE number.)
       - The ZigBee ZCL dissector could go into an infinite loop.
         (No assigned CVE number.)
  * drop 05_fix-display-filter-update-when-changing-profile.patch
    patch since it has been integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 20 Nov 2010 18:41:41 +0100

wireshark (1.4.1-1) experimental; urgency=high

  * New upstream release 1.4.1
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.1.html
    - add support for sll.ltype hooks (Closes: #594390)
    - security fixes
       - The Penetration Test Team of NCNIPC (China) discovered that the
         ASN.1 BER dissector was susceptible to a stack overflow
         (CVE-2010-3445)
  * pick fix for improperly backported display filter update when changing
    profile
  * [Debconf translation updates]
    - Basque (Iñaki Larrañaga Murgoitio).
    - Vietnamese (Clytie Siddall). (Closes: #598498)
  * make wireshark-dev depend on libwireshark-dev and libwiretap-dev
    (Closes: #596108)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 03 Sep 2010 13:20:33 +0200

wireshark (1.4.0-1) experimental; urgency=low

  [ Balint Reczey ]
  * New upstream release 1.4.0
    - release notes:
      http://www.wireshark.org/docs/relnotes/wireshark-1.4.0.html
  * drop 26_offline-documentation.patch patch since it has been integrated
    upstream
  * [Debconf translation updates]
    - French (Simon Paillard). (Closes: #593214)
    - Danish (Joe Hansen). (Closes: #594738)
    - Brazilian Portuguese (Adriano Rafael Gomes). (Closes: #594780)
    - Basque (Iñaki Larrañaga Murgoitio).
  * changed versioned conflicts to conflict with << 1.4.0~rc2-1 versions
    instead of conflicting with <= 1.2.7-1 ones to allow smooth upgrades
    from versions between 1.2.7-1 and 1.4.0~rc2-1 (Closes: #593875)
  * debian/control: updated policy to 3.9.1 (Eloy Paris removed the .la
    files to become compliant)

  [ Eloy Paris ]
  * Removed /usr/lib/libwiretap.la from the libwiretap-dev package and
    /usr/lib/libwireshark.la and /usr/lib/libwsutil.la from the
    libwireshark-dev package since external programs linking against
    libwiretap and libwireshark do not need them. Refer to the Debian
    Policy Manual 10.2 ("Libraries") for further information.

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 01 Sep 2010 23:52:27 +0200

wireshark (1.4.0~rc2-2) experimental; urgency=low

  * New wireshark-doc package for shipping offline documentation
    (Closes: #68746)
  * make libwireshark0-data suggest snmp-mibs-downloader instead of
    wireshark-common
  * [Debconf translation updates]
    - Japanese (Hideki Yamane (Debian-JP)).  (Closes: #591563)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Jul 2010 16:34:05 +0200

wireshark (1.4.0~rc2-1) experimental; urgency=low

  [ Eloy Paris ]
  * New upstream release.
    - Make tshark list interfaces for non-root user (Closes: #582298)
    - Fix duplicate inconsistent attributes in RADIUS dictionary.
      (Closes: #570132)
  * New libwireshark0, libwireshark-dev, libwiretap0, libwiretap-dev
    packages that reorganize libraries, header files, etc. as follows:
    - Moved libwireshark.so.* from package wireshark-common to package
      libwireshark0.
    - Moved libwsutil.so.* from package wireshark-common to package
      libwireshark0.
    - Moved libwiretap.so.* from package wireshark-common to package
      libwiretap0.
    - Moved header files, .so symlinks, and static libraries from package
      wireshark-dev to libwireshark-dev and libwiretap-dev, depending on
      the case.
    - Moved plugins in /usr/lib/wireshark/ from package wireshark-common
      to package libwireshark0.
    This provides more package granularity and allows easier use of
    libraries provided by the Wireshark project by applications that
    are not maintained by the Wireshark project (package kismet currently
    appears to use services offered by libwiretap, and upcoming package
    netexpect will use libwireshark services [see ITP bug #587056]).
  * Dropped 23_lintian-overrides.patch since we no longer have binaries
    with RPATHs because after the library separation work mentioned above
    our libraries are in /usr/lib and not in /usr/lib/wireshark, eliminating
    the need for RPATHs. Also tweaked debian/rules, debian/tshark.files,
    and debian/wireshark-common.files so the lintian overrides
    are not installed.
  * Dropped the following patches since they have been integrated
    upstream:
    - 05_libsnmp_path.patch
    - 07_mib_tip.patch
    - 11_disable_oid_resolution_by_default.patch
    - 12_fix_about_crash.patch
    - 21_dumpcap.patch

  [ Balint Reczey ]
  * Dropped the following patches since they have been integrated
    upstream:
    - 10_prevent_libsmi_crash.patch
    - 04_asn2wrs_ply.patch
    - 06_giop-buffer.patch
  * moved platform independent files needed by libwireshark0 to 
    new libwireshark0-data package from wireshark-common
  * New upstream release 1.4.0~rc2

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Jul 2010 15:27:21 +0200
